//
//  AppDelegate.swift
//  Example
//
//  Copyright © 2017 Kekkiwaa Inc. All rights reserved.
//

import UIKit
import Localize

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?) -> Bool {
        
        let localize = Localize.shared
        // Set your file name
        localize.fileName = "lang"
        // Set your default languaje.
        localize.defaultLanguage = .french
        // If you want change a user language, different to default in phone use this method.
        localize.update(language: .english)
        // If you want remove storaged languaje use
        localize.resetLanguage()
        // The used language
        print(localize.language())
        // List of aviable languajes
        print(localize.availableLanguages())
        
        // Or you can use static methods for all.
        
        Localize.update(fileName: "lang")
        Localize.update(defaultLanguage: .french)
        Localize.update(language: .english)
        
        return true
    }

    func applicationWillResignActive(_ application: UIApplication) {
        // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
        // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
    }

    func applicationDidEnterBackground(_ application: UIApplication) {
        // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
        // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
    }

    func applicationWillEnterForeground(_ application: UIApplication) {
        // Called as part of the transition from the background to the active state; here you can undo many of the changes made on entering the background.
    }

    func applicationDidBecomeActive(_ application: UIApplication) {
        // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    }

    func applicationWillTerminate(_ application: UIApplication) {
        // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
    }


}

